@echo off
chcp 850 >nul
echo ====== Instalador de los archivos en espaol de =======
echo ======            XCOM: UFO Defense             =======
echo ======          para www.dantoine.com           =======
echo.
rem  ======== Preparado por Hctor Gustavo Gimnez =========
if exist geodata\obdata.dat goto gameok
echo Instalacin: Juego no encontrado en este directorio.
goto error
:gameok
if exist parche.exe goto parcheok
echo Instalacin: Parche.exe no encontrado.
goto error
:parcheok
if exist geobord.scr goto geobordok
echo Instalacin: Geobord.scr no encontrado.
goto error
:geobordok
if exist spanish.dat if exist spanish2.dat goto dataok
echo Instalacin: Spanish.dat y/o Spanish2.dat no encontrado/s.
goto error
:dataok
if not exist ufoexe\geoscape.exe goto dosok
if exist parchedos.exe if exist xdos.exe goto dosok
echo Instalacin: Parchedos.exe y/o xdos.exe no encontrado/s
goto error
:dosok
if exist apellidos.dat if exist nombres.dat goto nomok
echo Instalacin: Apellidos.dat y/o nombres.dat no encontrado/s
goto error
:nomok
echo Instalacin: Instalando textos del juego...
copy spanish.dat geodata /y /v >nul
copy spanish2.dat geodata /y /v >nul
if exist ufoexe\geoscape.exe for %%f in (geodata\spanish?.dat) do xdos %%f
echo Instalacin: Instalando la nueva pantalla de Geoscape...
cd geograph
if not exist geobord.bak copy geobord.scr geobord.bak /y /v >nul
copy ..\geobord.scr . /y /v >nul
cd ..
echo Instalacin: Arreglando la falla de las ees...
cd geodata
if not exist biglets.bak copy biglets.dat biglets.bak /y /v >nul
if not exist smallset.bak copy smallset.dat smallset.bak /y /v >nul
cd ..
if exist ufoexe\geoscape.exe goto ufosetdos
:fixenyes
parche fix
echo Instalacin: Intentando modificar el ejecutable...
if exist ufoexe\geoscape.exe goto ufoexedos
if exist ufo.exe goto ufoexe
if exist "ufo defense.exe" goto ufodef
echo Instalacin: Ejecutable no encontrado.
echo Juego mal instalado o versin incorrecta.
echo Se esperaba ufo.exe, "ufo defense.exe" o ufoexe\geoscape.exe 
echo Este paquete fue diseado para modificar las versiones 1.0, 1.2 y 1.4
echo de XCOM/UFO y las ediciones DirectX (Collector's y Gold).
goto error
:ufoexe
if not exist ufoexe.bak copy ufo.exe ufoexe.bak /y /v >nul
parche ufo.exe
if errorlevel 1 goto fatal
goto xcomutil
:ufodef
if not exist ufoexe.bak copy "ufo defense.exe" ufoexe.bak /y /v >nul
parche "ufo defense.exe"
if errorlevel 1 goto fatal
:xcomutil
if not exist geoscape.exe goto ready
if not exist tactical.exe goto ready
rem Esta seccin fue creada pensando en XcomUtil.
rem No se har caso de los errores que puedan surgir.
if not exist geoscape.bak copy geoscape.exe geoscape.bak /y /v >nul
if not exist tactical.bak copy tactical.exe tactical.bak /y /v >nul
parche geoscape.exe >nul
parche tactical.exe >nul
:ready
echo Instalacin: Traduccin instalada.
echo El ejecutable original fue guardado como UFOEXE.BAK
echo (y UFO2EXE.BAK para las versiones de DOS)
echo Tambin se guardaron copias de Geobord.scr (en geograph\geobord.bak),
echo biglets.dat y smallset.dat (en geodata\biglets.bak y smallset.bak).
goto finis
:fatal
echo.
echo Instalacin: ERROR AL INTENTAR MODIFICAR EL EJECUTABLE!
echo Se intentar copiar los textos en castellano sobre los originales
echo english.dat y english2.dat, los cuales se guardarn como english.bak
echo y english2.bak, y sern reemplazados por spanish.dat y spanish2.dat
echo La traduccin debera mantenerse funcional, de otro modo, reinstale
echo el paquete completo (y quizs el juego tambin).
echo.
cd geodata
if not exist english.bak copy english.dat english.bak /y /v >nul
if not exist englihs2.bak copy english2.dat english2.bak /y /v >nul
attrib -r english?.dat
copy spanish.dat english.dat /y /v >nul
copy spanish2.dat english2.dat /y /v >nul
cd ..
goto finis
:error
echo Instala el paquete en la carpeta del juego.
echo Instalacin abortada.
:finis
echo.
echo Saludos.
echo Esperamos que disfrutes este trabajo.
echo Recuerda que si tienes problemas, puedes intentar revertir las
echo modificaciones ejecutando restaurar.bat, necesitars para ello
echo las copias de seguridad que este instalador cre (*.BAK)
echo.
pause
start notepad leame.txt
exit
rem === Modificaciones para la versin de DOS... (aporte de curiousman) ===
:ufosetdos
copy biglets.dos geodata\biglets.dat /y /v >nul
copy smallset.dos geodata\smallset.dat /y /v >nul
goto fixenyes
:ufoexedos
if not exist ufoexe.bak copy ufoexe\geoscape.exe ufoexe.bak /y /v >nul
if not exist ufo2exe.bak copy ufo2exe\tactical.exe ufo2exe.bak /y /v >nul
xdos nombres.dat
xdos apellidos.dat
parchedos
if errorlevel 2 goto fatal
goto finis
