#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main(int argc, char *argv[])
{
/*version se usa para saber si es para windows(0) o para DOS(1)*/
	int version;
/*dant se usa para saber si es la de dantoine (1.0), la 1.2 o la 1.4*/
	int dant = 0;
/*inPut para leer archivo. nomes para el archivo con los nombres y surnes
 para el de los apellidos. (s poda haber usado slo una variable de
  este tipo). outPut para escribir*/
	FILE *inPut, *nomes, *surnes;
	FILE *outPut;
/*buffer para almacenar el contenido de los archivos "importantes",
 nombres los nombres y apell los apellidos*/
	char *buffer;
	char *nombres;
	char *apell;
/*variables para conocer el volumen de memoria que cada uno de los tres
 anteriores necesitan. total para buffer, nahmen para nombres, aufnahmen
  para apellidos. No se garantiza la correccin del alemn ;) */
	long int total, nahmen, aufnahmen;
/*english, para el nombre de los archivos de lenguaje*/
	char *english = "spanish";
/*spanish para el botn de seleccin de idioma*/
	char spanish[7] = {'E', 'S', 'P', 'A', 0X5F, 'O', 'L'};
/*i = contador universal*/
	int i;

/*se abre el archivo de entrada y se comprueba que se ha abierto.
 Si no se abre se asume que el usuario tiene la versin de windows,
  se hace version igual a cero y nada ms*/
	inPut = fopen(".\\UFOEXE\\GEOSCAPE.EXE", "rb");
	if (inPut == NULL) {
		version = 0;
		printf(".\\ufoexe\\geoscape.exe no encontrado.\n");
	}
	else {
		version = 1;
/*se abren los archivos y se comprueba que se han abierto,
 si no se cierra el programa con un cdigo de error mayor a uno*/
		nomes = fopen(".\\nombres.dat", "rb");
		surnes = fopen(".\\apellidos.dat", "rb");
		if (nomes == NULL || surnes == NULL){
			printf("No se encuentran los archivos con los nombres y/o apellidos\n");
			exit(2);
		}
/*se comprueba el tamao de cada archivo y se asigna memoria a cada una
 de las variables que lo necesiten, despus se lee cada archivo*/
		fseek(nomes, 0, SEEK_END);
		nahmen = ftell(nomes);
		fseek(nomes, 0, SEEK_SET);
		nombres = (char *)malloc(nahmen);
		fseek(surnes, 0, SEEK_END);
		aufnahmen = ftell(surnes);
		fseek(surnes, 0, SEEK_SET);
		apell = (char *)malloc(aufnahmen);
		fseek(inPut, 0, SEEK_END);
		total = ftell(inPut);
		fseek(inPut, 0, SEEK_SET);
		buffer = (char *)malloc(total);
		fread(nombres, 1, nahmen, nomes);
		fclose(nomes);
		fread(apell, 1, aufnahmen, surnes);
		fclose(surnes);
/*se lee geoscape.exe y se cierra*/
		fread(buffer, 1, total, inPut);
		fclose(inPut);
/*Se busca english donde la de dantoine tiene spanish.dat, por si el
 usuario tiene la versin 1.0 inglesa cogida de otra parte*/
		if (strncmp(&buffer[0x058afc], "english", 7) == 0)
			memcpy(&buffer[0x058afc], english, 7);
/*ahora se comprueba si es la versin 1.0, sea de dantoine o inglesa*/
		if (strncmp(&buffer[0x058afc], "spanish", 7) == 0)
			dant = 1;
		else if(strncmp(&buffer[0x058B1C], "english", 7) == 0)
			dant = 2;
		else
			dant = 0;
		if (dant == 1){
			memcpy(&buffer[0x05efa8], apell, 0x01e0);
			memcpy(&buffer[0x05f548], nombres, 0x01b8);
		}
		else if (dant == 0){
			if (strncmp(&buffer[0x054528], "english", 7) == 0)
				memcpy(&buffer[0x054528], english, 7);
			memcpy(&buffer[0x054500], spanish, 7);
			memcpy(&buffer[0x05a998], apell, 0x01e0);
			memcpy(&buffer[0x05af38], nombres, 0x01b8);
		}
		else if (dant == 2){
			memcpy(&buffer[0x058B1C], english, 7);
			memcpy(&buffer[0x058AF4], spanish, 7);
			memcpy(&buffer[0x05EFF0], apell, 0x01e0);
			memcpy(&buffer[0x05F590], nombres, 0x01b8);
		}
/*se abre para escribir y se comprueba si se ha abierto*/
		outPut = fopen(".\\UFOEXE\\GEOSCAPE.EXE", "wb");
		if (outPut == NULL){
			printf("No se abre .\\ufoexe\\geoscape.exe para escribir\n");
			exit(3);
		}
		fwrite(buffer, 1, total, outPut);
/*se cierra el archivo y se libera memoria*/
		fclose(outPut);
		free(nombres);
		free(apell);
		free(buffer);
		inPut = fopen(".\\UFO2EXE\\TACTICAL.EXE", "rb");
		if (inPut == NULL){
			printf("No se abre .\\ufo2exe\tactical.exe\n");
			exit(4);
		}
		fseek(inPut, 0, SEEK_END);
		total = ftell(inPut);
		fseek(inPut, 0, SEEK_SET);
		buffer = (char *)malloc(total);
		fread(buffer, 1, total, inPut);
		if (dant == 1 || dant == 2){
	    /* en ambos casos english2.dat comienza en el mismo sitio */
			if (strncmp(&buffer[0x05bff8], "english", 7) == 0)
				memcpy(&buffer[0x05bff8], english, 7);
		}
		else if (dant == 0){
			if (strncmp(&buffer[0x0591f8], "english", 7) == 0)
				memcpy(&buffer[0x0591f8], english, 7);
		}
		fclose(inPut);
		outPut = fopen(".\\UFO2EXE\\TACTICAL.EXE", "wb");
		if (outPut == NULL){
			printf("No se abre tactical para escribir\n");
			exit(5);
		}
		fwrite(buffer, 1, total, outPut);
		fclose(outPut);
		free(buffer);
	} // else version 1

return version;
}
