#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]){
/*inPut para leer, outPut para escribir. Podra haber usado slo una
 variable de este tipo, pero en los comienzos tuve problemas que se
  solucionaron slo por tener dos diferentes*/
	FILE *inPut;
	FILE *outPut;
/*bits almacena la informacin de cada archivo*/
	char *bits;
/*i es el nombre universal para un contador*/
	int i;
/*size, hecho long int para asegurar que sea un entero de 32 bites,
 como s que el archivo va a ser pequeo no me preocupo de hacerlo
  unsigned*/
	long int size;

/*Si no se especifica el archivo que se desea manipular en la lnea de
 comandos no se hace nada, tan slo sealar cmo se usa*/
	if (argc != 2){
		printf("Uso: XDOS archivo.dat");
		exit(1);
	}
/*se abre el archivo y se comprueba*/
	inPut = fopen(argv[1], "rb");
	if (inPut == NULL){
		printf("%s no se abre para leer\n", argv[1]);
		exit(1);
	}
/*Se obtiene el tamao del archivo y se crea memoria para bits*/
	fseek(inPut, 0, SEEK_END);
	size = ftell(inPut);
	fseek(inPut, 0, SEEK_SET);
	bits = (char *)malloc(size);
/*Se lee el archivo y se cierra*/
	fread(bits, 1, size, inPut);
	fclose(inPut);
/*Se transforman los bites que no van con DOS*/
	for (i = 0; i < size; i++)
/*set(&bits[i]);*/
		switch ((unsigned char)bits[i]) {
			case 0xA1: //
				bits[i] = 0x8C;
				break;
			case 0xA2: //
				bits[i] = 0x89;
				break;
			case 0xA3: //
				bits[i] = 0x5D;
				break;
			case 0xA4: //
				bits[i] = 0x5E;
				break;
			case 0xA5: //
				bits[i] = 0x5F;
				break;
			case 0xA8: //
				bits[i] = 0x23;
				break;
			case 0xAD: //
				bits[i] = 0x5B;
				break;
			default :;
		}
	outPut = fopen(argv[1], "wb");
	if (outPut == NULL){
		printf("%s no se abre para escribir\n", argv[1]);
		exit(1);
	}
	fwrite(bits, 1, size, outPut);
	fclose(outPut);
	free(bits);

	return 0;
}
